Package org.apache.cxf.logging

# Interface FaultListener

All Known Implementing Classes:
  `NoOpFaultListener`

public interface FaultListener
Implement this interface to customize behavior for Exceptions thrown by the application implementing the service call. Implementations of this class must be registered in configuration of CXF to be invoked. Implementing this interface can be used for listening to exceptions that occur in the service, as long as they are not caught in the application.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `faultOccurred(Exception exception, String description, Message message)`
  Handle the occurred exception.

- ## Method Details

  - ### faultOccurred

    boolean faultOccurred(Exception exception, String description, Message message)
    Handle the occurred exception.
    Parameters:
      `exception` - The exception
      `description` - A description of where in the service interfaces the exception occurred.
      `message` - the message processed while the exception occurred.
    Returns:
      `true` if CXF should use default handling for this exception which normally is just logging the exception, `false` if CXF not should do any logging.